%define pkg_name        Net-DNS-Async
%define pkg_version     1.06
%define rpm_pkg_version 1.06
%define rpm_pkg_release 1.n0i.2

Summary:       Asynchronous DNS helper for high volume applications
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Net/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(IO::Select)
BuildRequires: perl(Storable)


%description
Net::DNS::Async is a fire-and-forget asynchronous DNS helper.
That is, the user application adds DNS questions to the helper, and the
callback will be called at some point in the future without further
intervention from the user application. The application need not handle
selects, timeouts, waiting for a response or any other such issues.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Sat Sep 22 2007 Marius Feraru <altblue@n0i.net> - 1.06-1.n0i.2
- version 1.06

* Thu Sep 20 2007 Marius Feraru <altblue@n0i.net> - 1.05-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 1.05
